> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/~/changes/2402/pantherflow/functions/data-type.md).

# Data Type Functions

{% hint style="info" %}
PantherFlow is in open beta starting with Panther version 1.110, and is available to all customers. Please share any bug reports and feature requests with your Panther support team.
{% endhint %}

## `array()`

`array(value1: any, value2: any, valueN: any, ... ) -> array`

Returns an array with the given values.

**Example:**

```
panther_logs.public.aws_alb
| project myArray=array(receivedBytes, true, 4, "oops")
```

## `object()`

`object([key1: string, value1: any, ... ]) -> object`

Returns an object with the given key-value pairs.

**Example:**

```
panther_logs.public.aws_alb
| project myObject=object("bytes", receivedBytes, "static", true)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/~/changes/2402/pantherflow/functions/data-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
